BNXT_RE(4)

NAME
bnxt_re - Broadcom NetXtreme-E RoCE driver

SYNOPSIS
To compile this driver into the kernel, place these lines in your kernel configuration file:

options COMPAT_LINUXKPI
device bnxt
device bnxt_re

To load the driver as a module at run-time, run this command as root:

    kldload bnxt_re

To load the driver as a module at boot time, place this line in loader.conf(5):

    bnxt_re_load="YES"

DESCRIPTION
The bnxt_re driver provides support for Remote Direct Memory Access (RDMA) over Converged Ethernet (RoCE) for Broadcom NetXtreme-E PCI Express network adapters.

HARDWARE
The bnxt_re driver provides support for NetXtreme-E BCM575xx 10/20/25/40/50/100/200Gb network adapters, including:

•   Broadcom BCM57502 NetXtreme-E 10Gb/25Gb/50Gb/100Gb/200Gb Ethernet
•   Broadcom BCM57504 NetXtreme-E 10Gb/25Gb/50Gb/100Gb/200Gb Ethernet
•   Broadcom BCM57508 NetXtreme-E 10Gb/25Gb/50Gb/100Gb/200Gb Ethernet

SUPPORT
For general information and support, go to the Broadcom support website at: http://www.broadcom.com/.

Report driver issues with supported adapters to <freebsd.pdl@broadcom.com>.

SEE ALSO
bnxt_re(4), ifconfig(8)

HISTORY
The bnxt_re device driver first appeared in FreeBSD 15.0.

AUTHORS
-nosplit The bnxt_re driver was written by Broadcom <freebsd.pdl@broadcom.com>.